package cpcns.danganzhengli.shengjijuxiangmu.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.model.BaseEntity;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.shengjijuxiangmu.model.DShenJiJuXiangMu;
import cpcns.danganzhengli.shengjijuxiangmu.service.IDShenJiJuXiangMuService;
import cpcns.danganzhengli.wenshu.wenjian.model.DWenJian;
import cpcns.danganzhengli.wenshu.wenjian.service.IDWenJianService;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.DangAnZhengLiUtil;
import cpcns.utils.DateUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.YeWuStatic;
import cpcns.utils.tool;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/dShenJiJuXiangMu"})
public class DShenJiJuXiangMuController extends commonController {
  @Autowired
  private IDShenJiJuXiangMuService dShenJiJuXiangMuService;
  
  @Autowired
  private IDWenJianService dWenJianService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request, Model model) throws Exception {
    String path = "";
    String menLei = request.getParameter("menLei");
    String zhuangTai = request.getParameter("zhuangTai");
    String tabView = request.getParameter("tabView");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    model.addAttribute("tabView", tabView);
    getRequest().setAttribute("quanZongHao", quanZongHao);
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("zhuangTai", zhuangTai);
    if (menLei.equals("SJJXMXM"))
      path = "shenjijuxiangmu/ShenJiJuXiangMuList"; 
    if (menLei.equals("SJJXMWS"))
      path = "shenjijuanjuan/ShenJiJuAnJuanList"; 
    return "danganzhengli/" + path;
  }
  
  @RequestMapping({"/load.do"})
  @ResponseBody
  public String load(HttpServletRequest request, HttpServletResponse response) {
    String data = "";
    if (this.hangBiaoShi != null && this.hangBiaoShi.intValue() > 0) {
      this.obj = this.dShenJiJuXiangMuService.getById(this.hangBiaoShi);
      data = JsonWithJacksonUtils.getInstance().obj2Json(this.obj);
    } 
    return data;
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String keyWordResult = request.getParameter("keyWordResult");
    String menLei = getRequest().getParameter("menLei");
    String czlx = getRequest().getParameter("czlx");
    DShenJiJuXiangMu cla = new DShenJiJuXiangMu();
    String laiyuan = request.getParameter("laiyuan");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      cla = (DShenJiJuXiangMu)this.dShenJiJuXiangMuService.getById(cla, Integer.valueOf(hangBiaoShi));
      cla.setLjrq(DateUtil.getDate(cla.getLiJuanRiQi()));
      cla.setGdrq(DateUtil.getDate(cla.getGuiDangRiQi()));
      GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(cla.getMenLei());
      if (dhgz != null) {
        getRequest().setAttribute("dangHaoGuiZe", dhgz.getAnJuanDangHao());
        getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
        getRequest().setAttribute("qiDongDangHao", dhgz.getQiDongDangHao());
      } 
      getRequest().setAttribute("keyWordResult", keyWordResult);
      getRequest().setAttribute("laiyuan", laiyuan);
      this.dShenJiJuXiangMuService.addDA_RiZhi(getCurrentUser(), this.server, "D_SHENJIJUXIANGMU", cla.getHangBiaoShi(), String.valueOf(cla.getBiaoTi()) + "$." + cla.getDangHao() + "$." + cla.getMenLei(), "查看");
    } else {
      cla.setMenLei(menLei);
    } 
    getRequest().setAttribute("anJuan", cla);
    getRequest().setAttribute("czlx", czlx);
    getRequest().setAttribute("keyWordResult", keyWordResult);
    getRequest().setAttribute("menLei", menLei);
    String path = "";
    if (menLei.equals("SJJXMXM"))
      path = "shenjijuxiangmu/ShenJiJuXiangMuEdit"; 
    if (menLei.equals("SJJXMWS"))
      path = "shenjijuanjuan/ShenJiJuAnJuanEdit"; 
    return "danganzhengli/" + path;
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    String sqlSearch = getWhere(request);
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    StringBuffer sql = new StringBuffer("select quanZongHao,zhuangTai,hangBiaoShi,biaoTi,xuHao,dangHao,guiDangBuMenMingCheng,muLuHao,baoGuanQiXian,guiDangNianDu,miJi,fenShu,ruKuFangZhuangTai,liJuanRiQi,fenLeiMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,qiShiJian,zhiShiJian,liJuanRenXingMing,liJuanRenBiaoShi,guangPanHao,yeShu,chengWenRiQi,guiDangRenMingCheng,guiDangRenBiaoShi,beiYongZiFu from D_SHENJIJUXIANGMU where  ");
    PagerVO pagevo = this.dShenJiJuXiangMuService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "hangBiaoShi"), "D_SHENJIJUXIANGMU");
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("XUHAO", "xuHao").replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("GUIDANGRENMINGCHENG", "guiDangRenMingCheng")
      .replaceAll("DANGHAO", "dangHao").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("MULUHAO", "muLuHao").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("GUIDANGRENBIAOSHI", "guiDangRenBiaoShi")
      .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("MIJI", "miJi").replaceAll("LIJUANRIQI", "liJuanRiQi").replaceAll("LIJUANRENBIAOSHI", "liJuanRenBiaoShi")
      .replaceAll("FENSHU", "fenShu").replaceAll("RUKUFANGZHUANGTAI", "ruKuFangZhuangTai").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng")
      .replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("QISHIJIAN", "qiShiJian").replaceAll("ZHISHIJIAN", "zhiShiJian").replaceAll("LIJUANRENXINGMING", "liJuanRenXingMing")
      .replaceAll("GUANGPANHAO", "guangPanHao").replaceAll("YESHU", "yeShu").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("BEIYONGZIFU", "beiYongZiFu");
    write(response, jsonString);
    return null;
  }
  
  private String getWhere(HttpServletRequest request) {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    User user = getCurrentUser();
    StringBuffer sqlWhere = new StringBuffer();
    Iterator<String> iterator = jsonObject.keys();
    StringBuffer sqlSearch = new StringBuffer();
    sqlSearch.append(" ( 1=1 ");
    Map<String, String> tjmap = new HashMap<>();
    tjmap.put("quanZongHao", user.getQuanZongHao());
    tjmap.put("table", this.table);
    Map<String, String> qxmap = user.getQuanXianMap();
    String qx = "";
    if (qxmap != null)
      qx = qxmap.get(user.getQuanZongHao()); 
    if (this.table.equals("D_ShenJiJuXiangMu")) {
      if (qxmap == null)
        sqlSearch.append(" and (guiDangRenBiaoShi = ").append(user.findCurrentBuMenBiaoShi())
          .append(" or guiDangRenMingCheng = '").append(user.getMingCheng()).append("')"); 
      if (!"".equals(qx) && 
        qx.indexOf(String.valueOf(208)) == -1)
        sqlSearch.append(" and (guiDangRenBiaoShi = ").append(user.findCurrentBuMenBiaoShi())
          .append(" or guiDangRenMingCheng = '").append(user.getMingCheng()).append("')"); 
    } else {
      if (qxmap == null)
        sqlSearch.append(" and (lururenbiaoshi = ").append(user.getBiaoShi())
          .append(" or lururenMingCheng = '").append(user.getMingCheng()).append("')"); 
      if (!"".equals(qx) && (
        !qx.contains("208") || !qx.contains("308")))
        sqlSearch.append(" and (lururenbiaoshi = ").append(user.getBiaoShi())
          .append(" or lururenMingCheng = '").append(user.getMingCheng()).append("')"); 
    } 
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !key.equals("checkbox") && !key.equals("nd") && !"undefined".equals(value) && !"_".equals(key)) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (key.equals("gdzt")) {
            if (value.equals("1")) {
              sqlWhere.append(" and zhuangTai =").append(value);
              continue;
            } 
            if (value.equals("0")) {
              sqlWhere.append(" and zhuangTai !=1");
              continue;
            } 
            if (value.equals("2")) {
              sqlWhere.append(" and zhuangTai in(").append("0,2)");
              continue;
            } 
            sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
            continue;
          } 
          if (key.equals("quanZongHao")) {
            if (StringUtils.isNotBlank(value)) {
              String checkbox = getRequest().getParameter("checkbox");
              sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
            } 
            continue;
          } 
          if (key.equals("guiDangNianDu")) {
            String nd = getRequest().getParameter("nd");
            if (StringUtils.isNotBlank(nd)) {
              sqlWhere.append(" and ").append(key).append(" ").append(nd).append("'").append(value).append("'");
              continue;
            } 
            sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
            continue;
          } 
          if (!key.contains("like")) {
            if ("hangBiaoShi".equals(key)) {
              String hbs = jsonObject.getString("hangBiaoShi");
              sqlWhere.append(" and hangBiaoShi not in ( select gl.GuanLianAnJuanBiaoShi from D_SHENJIJUXIANGMUGuanLian  gl where gl.GuanLianBiaoShi='" + hbs + "') and hangBiaoShi !=" + hbs);
              continue;
            } 
            if (key.contains("_in")) {
              key = key.substring(0, key.indexOf("_in"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " in ( " + value + ")");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value.trim() + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    sqlSearch.append(")");
    String querySt = request.getParameter("querystr");
    if (StringUtils.isNotBlank(querySt))
      sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_(querySt)); 
    if (sqlWhere.length() > 0)
      sqlSearch.append(sqlWhere.toString()); 
    return sqlSearch.toString();
  }
  
  @RequestMapping({"/toAdds.do"})
  public String toAdds(HttpServletRequest request, Model model) throws Exception {
    DShenJiJuXiangMu anJuan = new DShenJiJuXiangMu();
    User user = getCurrentUser();
    String menLei = request.getParameter("menLei");
    GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dhgz != null) {
      getRequest().setAttribute("dangHaoGuiZe", dhgz.getAnJuanDangHao());
      getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
      getRequest().setAttribute("qiDongDangHao", dhgz.getQiDongDangHao());
    } 
    anJuan.setMenLei(menLei);
    anJuan.setFenShu(Integer.valueOf(0));
    anJuan.setZongYeShu(Integer.valueOf(0));
    anJuan.setZhuangTai(Integer.valueOf(0));
    anJuan.setKuFangBiaoShi(Integer.valueOf(0));
    anJuan.setJianDingZhuangTai(Integer.valueOf(0));
    anJuan.setRuKuFangZhuangTai(Integer.valueOf(0));
    anJuan.setGuanLianBiaoShi(Integer.valueOf(0));
    anJuan.setQuanZongHao(user.getQuanZongHao());
    anJuan.setLiJuanDanWeiMingCheng(user.findRootBuMenMingCheng());
    anJuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(user.findRootBuMenBiaoShi()));
    anJuan.setGuiDangRenBiaoShi(Integer.valueOf(user.findCurrentBuMenBiaoShi()));
    anJuan.setGuiDangRenMingCheng(user.getMingCheng());
    model.addAttribute("anJuan", anJuan);
    String path = "";
    if (menLei.equals("SJJXMXM"))
      path = "shenjijuxiangmu/ShenJiJuXiangMuEdit"; 
    if (menLei.equals("SJJXMWS"))
      path = "shenjijuanjuan/ShenJiJuAnJuanEdit"; 
    return "danganzhengli/" + path;
  }
  
  @RequestMapping({"/copy.do"})
  public void copy(HttpServletRequest request, HttpServletResponse response) {
    User user = getCurrentUser();
    DShenJiJuXiangMu anJuan = new DShenJiJuXiangMu();
    String menLei = request.getParameter("menLei");
    GDangAnMenLei daml = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (StringUtils.isNotBlank(user.getBuMenMingChengs())) {
      String[] mcss = user.getBuMenMingChengs().split(" ");
      String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
      anJuan.setLiJuanDanWeiMingCheng(mcss[0]);
      anJuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          anJuan.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          anJuan.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      anJuan.setMenLei(menLei);
      anJuan.setQuanZongHao(user.getQuanZongHao());
      anJuan.setAnJuanRongLiang(daml.getJuanZuiDaYeShu());
    } 
    String J = JsonWithJacksonUtils.getInstance().obj2Json(anJuan);
    responseWriter(response, J);
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void save(HttpServletRequest request, HttpServletResponse response) throws Exception {
    ResultMessage rm = new ResultMessage();
    String info = "";
    String rizhiInfo = "修改";
    String menLei = getRequest().getParameter("menLei");
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    String state = getRequest().getParameter("state");
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    DShenJiJuXiangMu t = (DShenJiJuXiangMu)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DShenJiJuXiangMu.class);
    if (t.getHangBiaoShi() == null || t.getHangBiaoShi().intValue() < 0) {
      t.setHangBiaoShi(Integer.valueOf(this.dShenJiJuXiangMuService.getPk("D_SHENJIJUXIANGMU")));
      rizhiInfo = "新增";
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      t.setGuanLianBiaoMing(daml.getBiaoMing());
      t.setUuid(CommStatic.getUUID32());
      rm.setBeizhu((String)t.getHangBiaoShi());
      System.out.println(CommStatic.getUUID32());
      try {
        Date date = new Date();
        t.setShanChuShiJian(date);
        this.dShenJiJuXiangMuService.save(t);
      } catch (Exception e) {
        e.printStackTrace();
        info = "保存失败！";
        this.dShenJiJuXiangMuService.updateBiaoLiuShuiHao("D_SHENJIJUXIANGMU");
        t.setHangBiaoShi(Integer.valueOf(this.dShenJiJuXiangMuService.getPk("D_SHENJIJUXIANGMU")));
        Date date = new Date();
        t.setShanChuShiJian(date);
        this.dShenJiJuXiangMuService.save(t);
      } 
    } else {
      Date date = new Date();
      t.setShanChuShiJian(date);
      this.dShenJiJuXiangMuService.update(t);
    } 
    try {
      if ("2".equals(state)) {
        User user1 = getLoginUser(request);
        String wenJianHangBiaoShis = getRequest().getParameter("wenJianHangBiaoShis");
        Map<String, String> xgzd = new HashMap<>();
        xgzd.put("guanLianBiaoShi", t.getHangBiaoShi());
        if ("WS".equals(menLei))
          xgzd.put("guiDangLeiXing", "1"); 
        Map<String, String> tjzd = new HashMap<>();
        String hbs = wenJianHangBiaoShis.replaceAll(",", "','");
        tjzd.put("hangBiaoShi", hbs);
        String[] str = wenJianHangBiaoShis.split(",");
        if (str.length > 0) {
          for (int i = 0; i < str.length; i++) {
            BaseEntity wenJian = (BaseEntity)this.commonService.getById(YeWuStatic.getMenLeiToEntity(t.getMenLei()), Integer.valueOf(Integer.parseInt(str[i])));
            if (t != null && wenJian != null) {
              GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(wenJian.getMenLei());
              String dh = String.valueOf(t.getDangHao()) + daml.getFenGeFu() + CommStatic.geShiHuanStr((String)wenJian.getXuHao(), 4);
              xgzd.put("dangHaoString", dh);
            } 
            this.commonService.updateGuiDang(getServer(), "D_SHENJIJUXIANGMU", t.getGuanLianBiaoMing(), (String)t.getHangBiaoShi(), xgzd, tjzd);
          } 
          this.dShenJiJuXiangMuService.addDA_RiZhi(user1, getServer(), "D_WenJian", "biaoTi,dangHao,menLei", wenJianHangBiaoShis, "组卷");
          this.dShenJiJuXiangMuService.addDA_RiZhi(user1, getServer(), "D_SHENJIJUXIANGMU", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), "添加卷内文件");
        } 
      } 
      rm.setSuccess(true);
      info = "保存成功！";
      User user = getLoginUser(request);
      this.dShenJiJuXiangMuService.addDA_RiZhi(user, getServer(), "D_SHENJIJUXIANGMU", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), rizhiInfo);
    } catch (Exception e) {
      e.printStackTrace();
      info = "保存失败！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delete.do"})
  @ResponseBody
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String ids = request.getParameter("ids");
    if (StringUtils.isNotBlank(ids)) {
      String info = "";
      try {
        this.commonService.deleteByUser(getCurrentUser(), getServer(), "D_SHENJIJUXIANGMU", ids);
        rm.setSuccess(true);
        info = "删除成功！";
        this.dShenJiJuXiangMuService.addDA_RiZhi(getCurrentUser(), getServer(), "D_SHENJIJUXIANGMU", "biaoTi,dangHao,menLei", ids, "删除");
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/beforeDelete.do"})
  @ResponseBody
  public void beforeDelete(HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    ResultMessage rm = new ResultMessage();
    String sql = "select hangBiaoShi from D_SHENJIJUXIANGMUGuanLian where guanLianBiaoShi = " + hangBiaoShi;
    boolean pagevo = this.commonService.checkInfo(this.server, sql);
    if (!pagevo) {
      rm.setSuccess(true);
    } else {
      rm.setSuccess(false);
    } 
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/chaiJuan.do"})
  @ResponseBody
  public void chaiJuan(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis)) {
      hangBiaoShis = hangBiaoShis.substring(0, hangBiaoShis.length() - 1);
      String hbss = hangBiaoShis.replaceAll(",", "','");
      Map<String, String> tjzd1 = new HashMap<>();
      tjzd1.put("guanLianBiaoShi", hbss);
      Map<String, String> xizd1 = new HashMap<>();
      xizd1.put("guanLianBiaoShi", "0");
      if ("WS".equals(menLei)) {
        xizd1.put("guiDangLeiXing", "1");
        xizd1.put("dangHaoString", "");
      } 
      try {
        GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
        this.commonService.updateGuiDang(getServer(), this.table, daml.getBiaoMing(), hbss, xizd1, tjzd1);
        this.commonService.updateQiZhiShiJian(this.server, this.table, daml.getBiaoMing(), hangBiaoShis);
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi from D_WenJian where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dShenJiJuXiangMuService.addDA_RiZhi(getCurrentUser(), this.server, "D_WenJian", "biaoTi,dangHao,menLei", wenJianBiaoShis, "取消组卷"); 
        } 
        this.dShenJiJuXiangMuService.addDA_RiZhi(user, this.server, this.table, "biaoTi,dangHao,menLei", hangBiaoShis, "拆卷");
      } catch (Exception e) {
        e.printStackTrace();
      } 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/toJuanNeiWenJian.do"})
  public String juanNeiWenJian() {
    String tabView = getRequest().getParameter("tabView");
    String table = getRequest().getParameter("table");
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String zhuangTai = getRequest().getParameter("zhuangTai");
    String state = getRequest().getParameter("state");
    String laiyuan = getRequest().getParameter("laiyuan");
    String shenheruku = getRequest().getParameter("shenheruku");
    String fenLeiHao = getRequest().getParameter("fenLeiHao");
    String guiDangNianDu = getRequest().getParameter("guiDangNianDu");
    String miJi = getRequest().getParameter("miJi");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("tabView", tabView);
    getRequest().setAttribute("laiyuan", laiyuan);
    getRequest().setAttribute("anJuanBiaoShi", hangBiaoShi);
    getRequest().setAttribute("state", state);
    getRequest().setAttribute("fenLeiHao", fenLeiHao);
    getRequest().setAttribute("zhuangTai", zhuangTai);
    getRequest().setAttribute("guiDangNianDu", guiDangNianDu);
    getRequest().setAttribute("miJi", miJi);
    getRequest().setAttribute("quanZongHao", quanZongHao);
    getRequest().setAttribute("table", table);
    String path = "";
    if (menLei.equals("SJJXMXM"))
      path = "shenjijuxiangmu/ShenJiJuXiangMuNeiJuan"; 
    if (menLei.equals("SJJXMWS"))
      path = "shenjijuanjuan/ShenJiJuAnJuanNeiJian"; 
    return "danganzhengli/" + path;
  }
  
  @RequestMapping({"/yiChuAnJuanWenJian.do"})
  @ResponseBody
  public void yiChuAnJuanWenJian(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String anJuanBiaoShi = getRequest().getParameter("anJuanBiaoShi");
    String table = getRequest().getParameter("table");
    String menLei = getRequest().getParameter("menLei");
    String miJi = getRequest().getParameter("miJi");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis)) {
      hangBiaoShis = hangBiaoShis.replaceAll("undefined", "");
      hangBiaoShis = subdou(hangBiaoShis);
      Map<String, String> xgzd = new HashMap<>();
      xgzd.put("guanLianBiaoShi", "0");
      if ("WS".equals(menLei)) {
        xgzd.put("guiDangLeiXing", "1");
        xgzd.put("dangHaoString", "");
      } else if (StringUtils.isNotBlank(menLei) && menLei.length() > 4 && menLei.contains("FP")) {
        xgzd.put("dangHaoString", "");
      } 
      Map<String, String> tjzd = new HashMap<>();
      String hbss = hangBiaoShis.replaceAll(",", "','");
      tjzd.put("hangBiaoShi", hbss);
      try {
        GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
        this.commonService.updateGuiDang(getServer(), table, daml.getBiaoMing(), anJuanBiaoShi, xgzd, tjzd);
        this.commonService.updateQiZhiShiJian(getServer(), table, daml.getBiaoMing(), anJuanBiaoShi);
        DShenJiJuXiangMu aj = new DShenJiJuXiangMu();
        aj = (DShenJiJuXiangMu)this.dShenJiJuXiangMuService.getById(aj, Integer.valueOf(Integer.parseInt(anJuanBiaoShi)));
        User user = getLoginUser(getRequest());
        this.dShenJiJuXiangMuService.addDA_RiZhi(getCurrentUser(), this.server, "D_WenJian", "biaoTi,dangHao,menLei", hangBiaoShis, "取消组卷");
      } catch (Exception e) {
        e.printStackTrace();
      } 
      msg = "500";
    } 
    responseWriter(response, msg);
  }
  
  private String subdou(String hangBiaoShis) {
    String returnhbs = "";
    if (StringUtils.isNotBlank(hangBiaoShis)) {
      String[] forZu = hangBiaoShis.split(",");
      for (int a = 0; a < forZu.length; a++) {
        String hbsvalue = forZu[a];
        if (StringUtils.isNotBlank(hbsvalue))
          returnhbs = String.valueOf(returnhbs) + hbsvalue + ","; 
      } 
      String hbs = returnhbs.substring(returnhbs.length() - 1, returnhbs.length());
      if (hbs.equals(","))
        returnhbs = returnhbs.substring(0, returnhbs.length() - 1); 
      String fisthbs = returnhbs.substring(0, 1);
      if (fisthbs.equals(","))
        returnhbs = returnhbs.substring(1, returnhbs.length()); 
    } 
    return returnhbs;
  }
  
  @RequestMapping({"/toAddJuanNeiWenJian.do"})
  public String addJuanNeiWenJian() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String menLei = getRequest().getParameter("menLei");
    String fenLeiHao = getRequest().getParameter("fenLeiHao");
    String miJi = getRequest().getParameter("miJi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      DShenJiJuXiangMu anJuan = new DShenJiJuXiangMu();
      anJuan = (DShenJiJuXiangMu)this.dShenJiJuXiangMuService.getById(anJuan, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      getRequest().setAttribute("guiDangNianDu", anJuan.getGuiDangNianDu());
      getRequest().setAttribute("baoGuanQiXian", anJuan.getBaoGuanQiXian());
      getRequest().setAttribute("wenJianGuanLianBiaoShi", hangBiaoShi);
      getRequest().setAttribute("quanZongHao", anJuan.getQuanZongHao());
    } 
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("fenLeiHao", fenLeiHao);
    getRequest().setAttribute("guanLianBiaoShi", Integer.valueOf(0));
    getRequest().setAttribute("gdType", Integer.valueOf(1));
    getRequest().setAttribute("miJi", miJi);
    String path = "";
    if (menLei.equals("SJJXMXM"))
      path = "shenjijuxiangmu/ShenJiJuXiangMuAddJuan"; 
    if (menLei.equals("SJJXMWS"))
      path = "shenjijuanjuan/ShenJiJuAnJuanAddJian"; 
    return "danganzhengli/" + path;
  }
  
  @RequestMapping({"/guanLianAnJuan.do"})
  public String guanLianAnJuan(HttpServletRequest request, HttpServletResponse response, Model model) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String menLei = request.getParameter("menLei");
    model.addAttribute("hangBiaoShi", hangBiaoShi);
    model.addAttribute("menLei", menLei);
    return "/danganzhengli/anjuan/GuanLianAnJuanList";
  }
  
  @RequestMapping({"/openGuanLianAnJuan.do"})
  public String openGuanLianAnJuan() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("hangBiaoShi", hangBiaoShi);
    getRequest().setAttribute("menLei", menLei);
    return "/danganzhengli/anjuan/AddGuanLianAnJuanList";
  }
  
  @RequestMapping({"/validation.do"})
  public void validation(HttpServletResponse response) {
    String muLuHao = getRequest().getParameter("muLuHao");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    String msg = "500";
    if (StringUtils.isNotBlank(muLuHao) && StringUtils.isNotBlank(quanZongHao)) {
      StringBuffer sqlWHERE = (new StringBuffer()).append(" quanZongHao = " + quanZongHao + ",muLuHao= '" + muLuHao + "'");
      sqlWHERE.append("\tand zhuangTai not in(3,4)");
      PagerVO pagevo = this.dShenJiJuXiangMuService.getAll(0, 0, sqlWHERE.toString());
      if (pagevo.getRows().size() >= 9999)
        msg = "600"; 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/guiDang.do"})
  @ResponseBody
  public void guiDang(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        String table = "D_WenJian";
        if (StringUtils.isNotBlank(menLei) && menLei.length() > 4 && menLei.contains("PF"))
          table = "D_ZHUANTI"; 
        this.dShenJiJuXiangMuService.updateAnJuanZhuangTai(hangBiaoShis, Integer.valueOf(1));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from " + table + " where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dShenJiJuXiangMuService.addDA_RiZhi(getCurrentUser(), this.server, table, "biaoTi,dangHao,menLei", wenJianBiaoShis, "归档"); 
        } 
        this.dShenJiJuXiangMuService.addDA_RiZhi(user, getServer(), "D_SHENJIJUXIANGMU", "biaoTi,dangHao,menLei", hangBiaoShis, "归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/quXiaoGuiDang.do"})
  @ResponseBody
  public void quXiaoGuiDang(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        String table = "D_WenJian";
        if (StringUtils.isNotBlank(menLei) && menLei.length() > 4 && menLei.contains("PF"))
          table = "D_ZHUANTI"; 
        this.dShenJiJuXiangMuService.updateAnJuanZhuangTai(hangBiaoShis, Integer.valueOf(0));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from " + table + " where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dShenJiJuXiangMuService.addDA_RiZhi(getCurrentUser(), this.server, table, "biaoTi,dangHao,menLei", wenJianBiaoShis, "取消归档"); 
        } 
        this.dShenJiJuXiangMuService.addDA_RiZhi(user, getServer(), "D_SHENJIJUXIANGMU", "biaoTi,dangHao,menLei", hangBiaoShis, "取消归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/jnbkbPrint.do"})
  public String jnbkbPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      User user = getCurrentUser();
      List<Map<String, Object>> list = new ArrayList<>();
      Map<String, Object> wjp = new HashMap<>();
      list.add(wjp);
      HashMap<String, Object> params = new HashMap<>();
      String model = "juanneibeikaobiao.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "jnbkb");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/ajmlPrint.do"})
  public String ajmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    User user = getCurrentUser();
    String printService = AppConfiguration.getConfigValue("printServlet");
    String menLei = request.getParameter("menLei");
    String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
    String moban = "anjuanmulu.jasper";
    if ("2".equals(xtlx) && "RKPCWS".equals(menLei))
      moban = "danganmulu_RKPCWS_danganguan.jasper"; 
    if ("1".equals(xtlx) && "RKPCWS".equals(menLei))
      moban = "danganmulu_RKPCWS_danganshi.jasper"; 
    if ("KJCGWS".equals(menLei))
      moban = "danganmulu_KJCGWS.jasper"; 
    if ("GYPCWS".equals(menLei))
      moban = "danganmulu_GYPCWS.jasper"; 
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    HashMap<String, Object> params = new HashMap<>();
    String sqlSearch = String.valueOf(getWhere(request)) + " and zhuangTai in ( 0,1,2,5) ";
    List<Map<String, Object>> list = this.dShenJiJuXiangMuService.getDate(this.table, sqlSearch, user);
    List<Map<String, Object>> listAll = new ArrayList<>();
    List<XiTongDaiMa> bgqxs = this.commonService.xiTongDaiMaList("11720");
    for (int i = 0; i < list.size(); i++) {
      Map<String, Object> m = list.get(i);
      String bmqx = (String)m.get("BAOGUANQIXIAN");
      String bgqxmc = "";
      if (StringUtils.isNotBlank(bmqx) && !"null".equals(bmqx) && !"0".equals(bmqx))
        for (int q = 0; q < bgqxs.size(); q++) {
          XiTongDaiMa xtdm = bgqxs.get(q);
          String dm = xtdm.getZiFuDaiMa();
          String mc = xtdm.getMingCheng();
          if (bmqx.equals(dm)) {
            bgqxmc = mc;
            break;
          } 
        }  
      m.put("BAOGUANQIXIAN", bgqxmc);
      listAll.add(m);
    } 
    if (listAll.size() > 0) {
      Map<Object, Object> mmp = new HashMap<>();
      mmp.put("", "");
      if (listAll.size() % 10 != 0) {
        int y = listAll.size() % 10;
        System.out.println(y);
        if (y != 0) {
          int x = 10 - y;
          for (int a = 1; a <= x; a++)
            listAll.add(mmp); 
        } 
      } 
    } 
    PrintUtil.printService(request, user, printService, moban, listAll, params, "zyda");
    return "print/check";
  }
  
  @RequestMapping({"/XMandJNgetAll.do"})
  @ResponseBody
  public String XMandJNgetAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        jsonObject.put(thisName, thisValue);
      } 
      User user = getCurrentUser();
      StringBuffer sqlWhere = new StringBuffer();
      Iterator<String> iterator = jsonObject.keys();
      StringBuffer sqlSearch = new StringBuffer();
      sqlSearch.append("  1=1 ");
      Map<String, String> qxmap = user.getQuanXianMap();
      String qx = "";
      if (this.table.equals("D_ShenJiJuXiangMu")) {
        if (qxmap == null)
          sqlSearch.append(" and (guiDangRenBiaoShi = ").append(user.findCurrentBuMenBiaoShi())
            .append(" or guiDangRenMingCheng = '").append(user.getMingCheng()).append("')"); 
        if (!"".equals(qx) && (
          !qx.contains("208") || !qx.contains("308")))
          sqlSearch.append(" and (guiDangRenBiaoShi = ").append(user.findCurrentBuMenBiaoShi())
            .append(" or guiDangRenMingCheng = '").append(user.getMingCheng()).append("')"); 
      } else {
        if (qxmap == null)
          sqlSearch.append(" and (guiDangBuMenBiaoShi = ").append(user.findCurrentBuMenBiaoShi())
            .append(" or guiDangBuMenMingCheng = '").append(user.getMingCheng()).append("')"); 
        if (!"".equals(qx) && (
          !qx.contains("208") || !qx.contains("308")))
          sqlSearch.append(" and (guiDangBuMenBiaoShi = ").append(user.findCurrentBuMenBiaoShi())
            .append(" or guiDangBuMenMingCheng = '").append(user.getMingCheng()).append("')"); 
      } 
      String quanZongHao = request.getParameter("quanZongHao");
      String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
      String fenLeiMingCheng = request.getParameter("fenLeiMingCheng");
      String heNeiJianShuZu = request.getParameter("heNeiJianShuZu");
      String toAddHe = request.getParameter("toAddHe");
      String table = getRequest().getParameter("table");
      boolean isqx = true;
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && 
          !"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"guiDangLeiXing".equals(key) && !key.equals("quanZongHao") && !key.equals("toAddHe") && !key.equals("heNeiJianShuZu") && !key.equals("xuHaoGuiZeLength") && !key.equals("nd") && 
          !"1".equals(value)) {
          if (!key.contains("like")) {
            if (!value.equals("null")) {
              if (key.equals("guiDangNianDu")) {
                String nd = getRequest().getParameter("nd");
                if (StringUtils.isNotBlank(nd)) {
                  sqlWhere.append(" and ").append(key).append(" ").append(nd).append("'").append(value).append("'");
                  continue;
                } 
                sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
                continue;
              } 
              sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
            } 
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'");
        } 
      } 
      String zhuangTai = getRequest().getParameter("zhuangTai");
      sqlWhere.append(" and ").append(" zhuangTai in( ").append(1).append(",").append(0).append(",").append(2).append(",").append(5).append(')');
      if (sqlWhere.length() > 0)
        sqlSearch.append(sqlWhere.toString()); 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      String menLei = getRequest().getParameter("menLei");
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      StringBuffer sql = new StringBuffer();
      String tablename = "";
      String sor = "order by cunFangWeiZhi,hangBiaoShi asc";
      if ((StringUtils.isNotBlank(menLei) && menLei.equals("SJJXMWS")) || menLei.equals("SJJXMXM"))
        if (table.equals("D_ShenJiJuXiangMu")) {
          sql.append("select quanZongHao,zhuangTai,hangBiaoShi,biaoTi,xuHao,dangHao,guiDangBuMenMingCheng,muLuHao,baoGuanQiXian,guiDangNianDu,miJi,fenShu,ruKuFangZhuangTai,liJuanRiQi,fenLeiMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,qiShiJian,zhiShiJian,liJuanRenXingMing,guangPanHao,yeShu,chengWenRiQi from " + 
              
              table + " where ");
          sor = "order by xuHao";
        } else {
          tablename = daml.getBiaoMing();
          sql.append("select quanZongHao,hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,laiYuanMingCheng,kaiFangZhuangTai,shenHeZhuangTai,zeRenZhe,cunFangWeiZhi from " + 

              
              tablename + " where ");
        }  
      PagerVO pagevo = this.dShenJiJuXiangMuService.getAll(start, number, sql.toString(), sqlSearch.toString(), sor, table);
      List<Map<String, Object>> listddd = pagevo.getRows();
      List<Map<String, Object>> lt = new ArrayList<>();
      String tj = " ";
      for (int i = 0; i < listddd.size(); i++) {
        Map<String, Object> mp = new HashMap<>();
        Map<String, Object> map = listddd.get(i);
        String cunFangWeiZhi = (String)map.get("CUNFANGWEIZHI");
        if (StringUtils.isNotBlank(cunFangWeiZhi)) {
          if (!tj.equals(cunFangWeiZhi)) {
            if (cunFangWeiZhi.equals("1")) {
              mp.put("BIAOTI", "第一单元   结论类文件材料");
              lt.add(mp);
            } else if (cunFangWeiZhi.equals("2")) {
              mp.put("BIAOTI", "第二单元   证明类文件材料");
              lt.add(mp);
            } else if (cunFangWeiZhi.equals("3")) {
              mp.put("BIAOTI", "第三单元   立项类文件材料");
              lt.add(mp);
            } else if (cunFangWeiZhi.equals("4")) {
              mp.put("BIAOTI", "第四单元   备查类文件材料");
              lt.add(mp);
            } 
            tj = cunFangWeiZhi;
          } 
          System.out.println(lt);
          lt.add(map);
        } 
        pagevo.setRows(lt);
      } 
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo)
        .replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("XUHAO", "xuHao").replaceAll("BIAOTI", "biaoTi").replaceAll("FENSHU", "fenShu").replaceAll("QUANZONGHAO", "quanZongHao")
        .replaceAll("DANGHAO", "dangHao").replaceAll("MIJI", "miJi").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng").replaceAll("MULUHAO", "muLuHao")
        .replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("LIJUANRENXINGMING", "liJuanRenXingMing")
        .replaceAll("GUIDANGBUMENBIAOSHI", "guiDangBuMenBiaoShi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("GUANGPANHAO", "guangPanHao")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("YESHU", "yeShu").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("ZERENZHE", "zeRenZhe")
        .replaceAll("WENHAO", "wenHao").replaceAll("KAIFANGZHUANGTAI", "kaiFangZhuangTai").replaceAll("youyuanwen", "youYuanWen").replaceAll("CUNFANGWEIZHI", "cunFangWeiZhi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/addtoRongQi.do"})
  public void addWenJiantoAnJuan(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    hangBiaoShi = subdou(hangBiaoShi);
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String menLei = request.getParameter("menLei");
    String miJi = request.getParameter("miJi");
    String table = request.getParameter("table");
    if (StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(guanLianBiaoShi) && StringUtils.isNotBlank(menLei)) {
      String info = "";
      String[] str = hangBiaoShi.split(",");
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      DShenJiJuXiangMu anJuan = (DShenJiJuXiangMu)this.commonService.getById(new DShenJiJuXiangMu(), Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
      if (str.length > 0) {
        String tab = "D_WenJian";
        if (StringUtils.isNotBlank(menLei) && menLei.indexOf("FP") > 0)
          tab = "D_ZHUANTI"; 
        Map<String, String> map = new HashMap<>();
        map.put("table", tab);
        map.put("hao", "xuHao");
        map.put("guanLianBiaoShi", guanLianBiaoShi);
        Integer xh = Integer.valueOf(Integer.parseInt(this.commonService.shengChengHao(map)));
        for (int i = 0; i < str.length; i++) {
          String hangbiaoshi = str[i];
          try {
            Map<String, String> xgzd = new HashMap<>();
            xgzd.put("guanLianBiaoShi", guanLianBiaoShi);
            if (StringUtils.isNotBlank(menLei) && "SJJXMWS".equals(menLei))
              xgzd.put("guiDangLeiXing", "1"); 
            Map<String, String> tjzd = new HashMap<>();
            tjzd.put("hangBiaoShi", hangbiaoshi);
            String zu = "";
            DWenJian wenJian = (DWenJian)this.commonService.getById(new DWenJian(), Integer.valueOf(Integer.parseInt(hangbiaoshi)));
            if (anJuan != null && wenJian != null) {
              GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(wenJian.getMenLei());
              String dh = String.valueOf(anJuan.getDangHao()) + dhgz.getFenGeFu() + CommStatic.geShiHuanStr((String)wenJian.getXuHao(), 4);
              xgzd.put("dangHaoString", dh);
              zu = String.valueOf(wenJian.getBiaoTi()) + "$." + wenJian.getDangHao() + "$." + wenJian.getMenLei();
            } 
            this.commonService.updateGuiDang(this.server, table, daml.getBiaoMing(), guanLianBiaoShi, xgzd, tjzd);
            String lxStr = "案卷：";
            this.commonService.updateQiZhiShiJian(this.server, table, daml.getBiaoMing(), guanLianBiaoShi);
            rm.setSuccess(true);
            info = "添加成功！";
            this.commonService.addDA_RiZhi(getCurrentUser(), this.server, tab, Integer.valueOf(hangbiaoshi), zu, "组卷");
            xh = Integer.valueOf(xh.intValue() + 1);
          } catch (Exception e) {
            e.printStackTrace();
            rm.setSuccess(false);
            info = "添加失败！";
          } 
        } 
      } 
      this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_ShenJiJuXiangMu", Integer.valueOf(guanLianBiaoShi), String.valueOf(anJuan.getBiaoTi()) + "$." + anJuan.getDangHao() + "$." + anJuan.getMenLei(), "添加卷内文件");
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
    } 
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/newWJ.do"})
  public String newWJ(HttpServletRequest request, Model model) throws Exception {
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    int guiDangLeiXing = Integer.parseInt(request.getParameter("guiDangLeiXing"));
    String menLei = request.getParameter("menLei");
    String type = request.getParameter("type");
    String state = request.getParameter("state");
    String fenLeiMingCheng = request.getParameter("fenLeiMingCheng");
    String fenLeiHao = request.getParameter("fenLeiHao");
    String SJJtype = request.getParameter("SJJtype");
    DShenJiJuXiangMu aj = new DShenJiJuXiangMu();
    aj = (DShenJiJuXiangMu)this.dShenJiJuXiangMuService.getById(aj, Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
    User user = getCurrentUser();
    DWenJian wj = new DWenJian();
    String ym = "";
    if (menLei.equals("SJJXMWS")) {
      wj.setGuanLianBiaoShi(aj.getHangBiaoShi());
      wj.setGuiDangNianDu(aj.getGuiDangNianDu());
      wj.setBaoGuanQiXian(aj.getBaoGuanQiXian());
      ym = "D_WenJian_edit";
    } 
    wj.setGuiDangLeiXing(Integer.valueOf(guiDangLeiXing));
    wj.setMenLei(menLei);
    wj.setYouYuanWen(Integer.valueOf(0));
    wj.setKaiFangZhuangTai(Integer.valueOf(0));
    wj.setFenShu(Integer.valueOf(1));
    wj.setShuJuLaiYuan(Integer.valueOf(3));
    wj.setSiXingJianChaBiaoShi("0|0|0|0");
    wj.setJieYueZhuangTai(Integer.valueOf(0));
    wj.setKaiFangZhuangTai(Integer.valueOf(0));
    wj.setYeShu(Integer.valueOf(1));
    wj.setZhuangTai(Integer.valueOf(2));
    if (StringUtils.isNotBlank(fenLeiHao) && StringUtils.isNotBlank(fenLeiMingCheng)) {
      wj.setFenLeiMingCheng(fenLeiMingCheng);
      wj.setFenLeiHao(fenLeiHao);
    } 
    if (user != null) {
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          wj.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          wj.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      wj.setLiJuanDanWeiMingCheng(user.findRootBuMenMingCheng());
      wj.setLiJuanDanWeiBiaoShi(Integer.valueOf(user.findRootBuMenBiaoShi()));
      wj.setLuRuRenBiaoShi(Integer.valueOf(user.getBiaoShi().intValue()));
      wj.setLuRuRenMingCheng(user.getMingCheng());
      if (guiDangLeiXing == 1) {
        String quanZongHao = request.getParameter("quanZongHao");
        wj.setQuanZongHao(quanZongHao);
      } 
      wj.setBuMenBianMa(user.getBuMenJianCheng());
    } 
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(wj.getMenLei());
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      String erJiPanDuan = "0";
      if (StringUtils.isNotBlank(dam.getPaiXuGuiZeMingCheng()))
        erJiPanDuan = dam.getPaiXuGuiZeMingCheng(); 
      getRequest().setAttribute("erJiPanDuan", erJiPanDuan);
    } 
    int glbs = wj.getGuanLianBiaoShi().intValue();
    if (glbs > 0 && 
      guiDangLeiXing == 1)
      getRequest().setAttribute("rongQiDangHao", aj.getDangHao()); 
    getRequest().setAttribute("taa", Integer.valueOf(1));
    model.addAttribute("OFDType", AppConfiguration.getConfigValue("OFDType"));
    model.addAttribute("DWenJian", wj);
    model.addAttribute("type", type);
    model.addAttribute("state", state);
    model.addAttribute("buMenJieDianBiaoShi", user.findRootBuMenJieDianBiaoShi());
    return "danganzhengli/D_WenJian/" + ym;
  }
  
  @RequestMapping({"/jnmlPrint.do"})
  public String jnmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      String dangHao = request.getParameter("dangHao");
      String leixing = request.getParameter("leixing");
      String moBan = request.getParameter("zifudaimas");
      User user = getCurrentUser();
      String model = "SJJjuanneimulu.jasper";
      HashMap<String, Object> params = new HashMap<>();
      List<List<Map<String, Object>>> listAll = printList(hangBiaoShi, menLei, moBan);
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService_(request, user, printService, model, listAll, params, "SJJjnml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/xmnmlPrint.do"})
  public String xmnmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      String dangHao = request.getParameter("dangHao");
      String leixing = request.getParameter("leixing");
      User user = getCurrentUser();
      String model = "SJJjuanneimulu.jasper";
      HashMap<String, Object> params = new HashMap<>();
      List<List<Map<String, Object>>> listAll = new ArrayList<>();
      List<List<Map<String, Object>>> forlist = new ArrayList<>();
      List<Map<String, Object>> list = new ArrayList<>();
      List<Map<String, Object>> list2 = new ArrayList<>();
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        List<Map<String, Object>> jhbsList = new ArrayList();
        String[] hbs = hangBiaoShi.split(",");
        for (int h = 0; h < hbs.length; h++) {
          String hbs_ = hbs[h];
          StringBuilder jhbssql = new StringBuilder(" select hangbiaoshi from d_shenJiJuXiangMu  where  guanlianbiaoshi= " + hbs_);
          jhbssql.append(" and menLei='" + menLei + "'").append(" and zhuangTai in(0,1,2,5) order by xuHao");
          jhbsList = this.commonService.getListSQL(jhbssql.toString());
          if (jhbsList != null && jhbsList.size() > 0)
            for (int q = 0; q < jhbsList.size(); q++) {
              String anhbs = "";
              Map<String, Object> ajobj = jhbsList.get(q);
              anhbs = (ajobj.get("HANGBIAOSHI") != null) ? ajobj.get("HANGBIAOSHI").toString() : "";
              list = new ArrayList<>();
              forlist = printList(anhbs, menLei, "");
              for (int b = 0; b < forlist.size(); b++) {
                List<Map<String, Object>> ls = forlist.get(b);
                listAll.add(ls);
              } 
            }  
        } 
      } 
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printsBGQXService(request, user, printService, model, listAll, params, "SJJjnml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  public List<List<Map<String, Object>>> printList(String hangBiaoShi, String menLei, String moBan) {
    String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
    List<XiTongDaiMa> bgqxs = this.commonService.xiTongDaiMaList("11720");
    List<XiTongDaiMa> xtdms = this.commonService.xiTongDaiMaList("7087");
    List<List<Map<String, Object>>> listAll = new ArrayList<>();
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      List<Map<String, Object>> list = new ArrayList<>();
      List<Map<String, Object>> list2 = new ArrayList<>();
      String[] hbs = hangBiaoShi.split(",");
      for (int h = 0; h < hbs.length; h++) {
        String hbs_ = hbs[h];
        StringBuilder sql = (new StringBuilder("select w.yeShu as yeHao,w.hangBiaoShi,w.biaoTi,w.wenHao,w.zeRenZhe,w.chengWenRiQi cwrq,w.zhiYeHao,w.qiYeHao,w.xuHao,w.miJi,w.cunFangWeiZhi as danYuan   from D_WenJian w where w.menLei='" + 
            menLei + "' and w.guanLianBiaoShi ="))
          .append(hbs_).append("  order by w.cunFangWeiZhi,w.xuHao asc ");
        StringBuilder Jsql = (new StringBuilder("select s.guiDangNianDu,s.biaoTi as anJuanBiaoTi,s.guiDangBuMenMingCheng,s.liJuanRenXingMing,s.baoGuanQiXian,s.guangPanHao,s.xuHao as JuanXuHao,s.miJi as JuanMiJi, s.beiYongZi as JuanShu from D_shenJiJuXiangMu s where s.menLei='" + 
            menLei + "'")).append(" and s.hangBiaoShi=" + hbs_);
        list = this.commonService.getListSQL(sql.toString());
        List<Map<String, Object>> Jlist = this.commonService.getListSQL(Jsql.toString());
        list = DangAnZhengLiUtil.genYeShuByYeHao(list);
        if (list != null && list.size() > 0)
          for (int i = 0; i < list.size(); i++) {
            Map<String, Object> map = list.get(i);
            String mj = (String)map.get("MIJI");
            String jmj = (String)map.get("JUANMIJI");
            if (StringUtils.isNotBlank(mj) && !"null".equals(mj) && !"0".equals(mj)) {
              boolean jg = true;
              for (int j = 0; j < xtdms.size(); j++) {
                XiTongDaiMa xtdm = xtdms.get(j);
                Integer dm = xtdm.getZhengXingDaiMa();
                String mc = xtdm.getMingCheng();
                if (Integer.valueOf(mj) == dm) {
                  map.put("MIJI", mc);
                  jg = false;
                  break;
                } 
              } 
              if (jg)
                map.put("MIJI", ""); 
            } else {
              map.put("MIJI", "");
            } 
          }  
        if (Jlist != null && Jlist.size() > 0)
          for (int i = 0; i < Jlist.size(); i++) {
            Map<String, Object> map = Jlist.get(i);
            String mj = (String)map.get("MIJI");
            String jmj = (String)map.get("JUANMIJI");
            if (StringUtils.isNotBlank(mj) && !"null".equals(mj) && !"0".equals(mj)) {
              boolean jg = true;
              for (int j = 0; j < xtdms.size(); j++) {
                XiTongDaiMa xtdm = xtdms.get(j);
                Integer dm = xtdm.getZhengXingDaiMa();
                String mc = xtdm.getMingCheng();
                if (Integer.valueOf(mj) == dm) {
                  map.put("MIJI", mc);
                  jg = false;
                  break;
                } 
              } 
              if (jg)
                map.put("MIJI", ""); 
            } else {
              map.put("MIJI", "");
            } 
            if (StringUtils.isNotBlank(jmj) && !"null".equals(jmj) && !"0".equals(jmj)) {
              boolean jjg = true;
              for (int a = 0; a < xtdms.size(); a++) {
                XiTongDaiMa xtdm = xtdms.get(a);
                Integer dm1 = xtdm.getZhengXingDaiMa();
                String mc1 = xtdm.getMingCheng();
                if (Integer.valueOf(jmj) == dm1) {
                  map.put("JUANMIJI", mc1);
                  jjg = false;
                  break;
                } 
              } 
              if (jjg)
                map.put("JUANMIJI", ""); 
            } else {
              map.put("JUANMIJI", "");
            } 
            String bmqx = (String)map.get("BAOGUANQIXIAN");
            String bgqxmc = "";
            if (StringUtils.isNotBlank(bmqx) && !"null".equals(bmqx) && !"0".equals(bmqx))
              for (int q = 0; q < bgqxs.size(); q++) {
                XiTongDaiMa xtdm = bgqxs.get(q);
                String dm = xtdm.getZiFuDaiMa();
                String mc = xtdm.getMingCheng();
                if (bmqx.equals(dm)) {
                  bgqxmc = mc;
                  break;
                } 
              }  
            map.put("BAOGUANQIXIAN", bgqxmc);
          }  
        Map<Object, Object> mmp = new HashMap<>();
        mmp.put("", "");
        if (list.size() % 10 != 0) {
          int y = list.size() % 10;
          System.out.println(y);
          if (y != 0) {
            int x = 10 - y;
            for (int a = 1; a <= x; a++)
              list.add(mmp); 
          } 
        } 
        if (list != null && list.size() > 0) {
          String tempdh = "", jbt = "", gdbmc = "";
          String gdnd = "", bgqx = "", ljrxm = "";
          String gph = "", jxh = "", jmj = "";
          StringBuffer hql = new StringBuffer(" select  count(hangBiaoShi) as juanShu  from D_SHENJIJUXIANGMU where  guanLianBiaoShi =( select guanLianBiaoShi from D_shenJiJuXiangMu where hangbiaoshi=" + hbs_ + " and guanlianbiaoshi !=0)");
          List DangHaolist = this.commonService.getListSQL(hql.toString());
          Integer size = Integer.valueOf(DangHaolist.size());
          int f = 0;
          for (Iterator<Map<String, Object>> fj = DangHaolist.iterator(); fj.hasNext(); ) {
            f++;
            Map<String, Object> fjobj = fj.next();
            tempdh = (fjobj.get("JUANSHU") != null) ? fjobj.get("JUANSHU").toString() : "";
          } 
          if (tempdh.equals("0"))
            tempdh = ""; 
          if (Jlist != null && Jlist.size() > 0)
            for (Iterator<Map<String, Object>> iterator = Jlist.iterator(); iterator.hasNext(); ) {
              Map<String, Object> fjobj = iterator.next();
              jbt = (fjobj.get("ANJUANBIAOTI") != null) ? fjobj.get("ANJUANBIAOTI").toString() : "";
              gdbmc = (fjobj.get("GUIDANGBUMENMINGCHENG") != null) ? fjobj.get("GUIDANGBUMENMINGCHENG").toString() : "";
              gdnd = (fjobj.get("GUIDANGNIANDU") != null) ? fjobj.get("GUIDANGNIANDU").toString() : "";
              bgqx = (fjobj.get("BAOGUANQIXIAN") != null) ? fjobj.get("BAOGUANQIXIAN").toString() : "";
              ljrxm = (fjobj.get("LIJUANRENXINGMING") != null) ? fjobj.get("LIJUANRENXINGMING").toString() : "";
              gph = (fjobj.get("GUANGPANHAO") != null) ? fjobj.get("GUANGPANHAO").toString() : "";
              jxh = (fjobj.get("JUANXUHAO") != null) ? fjobj.get("JUANXUHAO").toString() : "";
              jmj = (fjobj.get("JUANMIJI") != null) ? fjobj.get("JUANMIJI").toString() : "";
            }  
          StringBuffer xuhaohql = new StringBuffer(" select  XUHAO  from D_SHENJIJUXIANGMU where  guanLianBiaoShi =( select guanLianBiaoShi from D_shenJiJuXiangMu where hangbiaoshi=" + hbs_ + " and guanlianbiaoshi !=0) order by xuHao");
          List xuhaolist = this.commonService.getListSQL(xuhaohql.toString());
          int k = 1;
          String xuHao = "";
          String daliushuixuhao = "";
          for (Iterator<Map<String, Object>> iterator1 = xuhaolist.iterator(); iterator1.hasNext(); ) {
            Map<String, Object> fjobj = iterator1.next();
            daliushuixuhao = (fjobj.get("XUHAO") != null) ? fjobj.get("XUHAO").toString() : "";
            if (daliushuixuhao.equals(jxh)) {
              xuHao = String.valueOf(k);
              break;
            } 
            k++;
          } 
          List<Map<String, Object>> lt = new ArrayList<>();
          String tj = " ";
          int count = 1;
          for (int b = 0; b < list.size(); b++) {
            ((Map<String, String>)list.get(b)).put("JUANSHU", tempdh);
            Map<String, Object> mp = new HashMap<>();
            Map<String, Object> map = list.get(b);
            String bt = (String)map.get("BIAOTI");
            if (moBan.equals("5") && StringUtils.isNotBlank(bt))
              map.put("XUHAO", Integer.valueOf(count++)); 
            System.out.println(map);
            String cunFangWeiZhi = (String)map.get("DANYUAN");
            if (StringUtils.isNotBlank(cunFangWeiZhi)) {
              if (!tj.equals(cunFangWeiZhi)) {
                if (cunFangWeiZhi.equals("1")) {
                  mp.put("BIAOTI", "第一单元   结论类文件材料");
                } else if (cunFangWeiZhi.equals("2")) {
                  mp.put("BIAOTI", "第二单元   证明类文件材料");
                } else if (cunFangWeiZhi.equals("3")) {
                  mp.put("BIAOTI", "第三单元   立项类文件材料");
                } else if (cunFangWeiZhi.equals("4")) {
                  mp.put("BIAOTI", "第四单元   备查类文件材料");
                } 
                mp.put("JUANSHU", tempdh);
                mp.put("ANJUANBIAOTI", jbt);
                mp.put("GUIDANGBUMENMINGCHENG", gdbmc);
                mp.put("GUIDANGNIANDU", gdnd);
                mp.put("BAOGUANQIXIAN", bgqx);
                mp.put("LIJUANRENXINGMING", ljrxm);
                mp.put("GUANGPANHAO", gph);
                mp.put("JUANXUHAO", jxh);
                mp.put("JUANHAO", xuHao);
                mp.put("JUANMIJI", jmj);
                String bt_ = ((String)mp.get("BIAOTI") != null) ? mp.get("BIAOTI").toString() : "";
                if (StringUtils.isNotBlank(bt_))
                  lt.add(mp); 
                tj = cunFangWeiZhi;
              } 
              System.out.println(lt);
              if (StringUtils.isNotBlank(bt))
                lt.add(map); 
            } 
          } 
          listAll.add(lt);
        } 
      } 
    } 
    return listAll;
  }
}
